Bug 518018 - Review Request: zyx-liveinstaller - Install a running LiveOS rebootlessly
Summary: Review Request: zyx-liveinstaller - Install a running LiveOS rebootlessly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 13:52 UTC by Sebastian Dziallas
Modified: 2009-08-31 23:36 UTC (History)
6 users (show)

Fixed In Version: 0.1.10-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-31 23:36:33 UTC
tcallawa: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Sebastian Dziallas 2009-08-18 13:52:01 UTC
Spec URL: http://sdz.fedorapeople.org/rpmbuild/zyx-liveinstaller.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/zyx-liveinstaller-0.1.9-2.fc11.src.rpm

Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1607892

[sebastian@localhost noarch]$ rpmlint ./zyx-liveinstaller-0.1.10-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sebastian@localhost SRPMS]$ rpmlint zyx-liveinstaller-0.1.10-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Sebastian Dziallas 2009-08-18 13:54:39 UTC
Ah, got the wrong link to the source RPM. This one should be better:

http://sdz.fedorapeople.org/rpmbuild/zyx-liveinstaller-0.1.10-1.fc11.src.rpm

Comment 2 Susi Lehtola 2009-08-19 08:22:13 UTC
url is incorrect, should be
http://filteredperception.org/smiley/projects/zyx-rli/

Comment 3 Jane Dogalt 2009-08-20 04:35:51 UTC
(In reply to comment #2)
> url is incorrect, should be
> http://filteredperception.org/smiley/projects/zyx-rli/  

url is now correct, I fixed the website :)

-dmc

Comment 4 Tom "spot" Callaway 2009-08-20 21:02:03 UTC
== Review ==

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (feeaff2f9078bf86ad52a5b15cafbb528cf90e8e)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file OK

Nice package, approved.

Comment 5 Rahul Sundaram 2009-08-20 21:05:32 UTC
Quick note:

Unless you are branching this for EPEL, you don't need to
define the buildroot or remove it in %install section anymore.

Comment 6 Sebastian Dziallas 2009-08-21 04:46:45 UTC
New Package CVS Request
=======================
Package Name: zyx-liveinstaller
Short Description: Install a running LiveOS rebootlessly
Owners: sdz
Branches: F-11

Comment 7 Dennis Gilmore 2009-08-21 18:26:44 UTC
CVS done

Comment 8 Sebastian Dziallas 2009-08-21 19:45:27 UTC
@ Spot: Thanks for the review! :)

@ Rahul: Won't this have rpmlint complaining on the SRPM?

Comment 9 Rahul Sundaram 2009-08-21 19:51:35 UTC
Yes, it it will. I have filed and got it changed from an error to just a warning and a warning is still useful since packages do get branched for EPEL but remember that our guidelines must be given higher weight than rpmlint always.

Comment 10 Fedora Update System 2009-08-21 21:09:41 UTC
zyx-liveinstaller-0.1.10-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zyx-liveinstaller-0.1.10-2.fc11

Comment 11 Sebastian Dziallas 2009-08-21 21:11:53 UTC
Yup, agreed. I fixed it before building. It should be on its way on his way to Rawhide now...

Comment 12 Fedora Update System 2009-08-25 04:31:48 UTC
zyx-liveinstaller-0.1.10-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zyx-liveinstaller'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8926

Comment 13 Fedora Update System 2009-08-31 23:36:28 UTC
zyx-liveinstaller-0.1.10-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.